function onBegin()
    playPuppetAnim("dead")
    local knightNum = tonumber(string.sub(bossID, -1))
    while not getFlag("awake_knight_" .. knightNum) do
        wait()
    end
    wait()
    setFlag("awake_knight_" .. knightNum, false)
end